varying vec2 TexCoord;

uniform sampler2D Texture;
uniform float Intensity;

void main()
{
	float i = texture2D(Texture, TexCoord).r;
	gl_FragColor.rgb = vec3(1.0-((1.0 - i) * Intensity));
	gl_FragColor.a = 1.0 - i;
}
